ランタイム: Mix::Point Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Mix::Point Class Reference

ポイントクラス More...

`#include <Point.h>`

## Public Member Functions

| Point (void)
| コンストラクタ More...
| Point (Int32 px, Int32 py)
| コンストラクタ More...
| Point (const Point &pp)
| コピーコンストラクタ More...
| Point (const Vector2 &pp)
| コピーコンストラクタ More...
Boolean | operator== (const Point &pp) const
| 等価比較 More...
Boolean | operator!= (const Point &pp) const
| 等価比較 More...
Point & | operator= (const Point &pp)
| 代入 More...
Point & | operator= (const Vector2 &pp)
| 代入 More...
Point & | operator+= (const Point &pp)
| 代入加算 More...
Point & | operator-= (const Point &pp)
| 代入減算 More...
Point & | operator*= (const Point &pp)
| 代入乗算 More...
Point & | operator/= (const Point &pp)
| 代入除算 More...
Point | operator+ (const Point &pp) const
| 加算 More...
Point | operator- (const Point &pp) const
| 減算 More...
Point | operator* (const Point &pp) const
| 乗算 More...
Point | operator/ (const Point &pp) const
| 除算 More...
Point | operator- (void) const
| 符号を反転します More...
Point & | operator*= (Int32 s)
| 代入乗算 More...
Point & | operator/= (Int32 s)
| 代入除算 More...
Point | operator* (Int32 s) const
| 乗算 More...
Point | operator/ (Int32 s) const
| 除算 More...
void | Set (Int32 px, Int32 py)
| ポイントを設定します More...

## Static Public Member Functions

static Point | Min (const Point &p0, const Point &p1)
| 二つのポイントの最小値を取得します More...
static Point | Max (const Point &p0, const Point &p1)
| 二つのポイントの最大値を取得します More...
static const Mix::Point & | Zero (void)
| 初期値( 0, 0 )を取得します More...

## Public Attributes

union {
struct {
Int32 x
| X. More...
Int32 y
| Y. More...
} |
Int32 data [2]
| データ More...
}; |

## Detailed Description

ポイントクラス

## Constructor & Destructor Documentation

Mix::Point::Point | ( | void |  | ) |

コンストラクタ

Mix::Point::Point | ( | Int32 | px,
|  | Int32 | py
| ) |  |

コンストラクタ

Parameters

  [in] | px | X座標
  [in] | py | Y座標

Mix::Point::Point | ( | const Point & | pp | ) |

コピーコンストラクタ

Parameters

  [in] | pp | コピー元ポイント

Mix::Point::Point | ( | const Vector2 & | pp | ) |

コピーコンストラクタ

Parameters

  [in] | pp | コピー元ポイント

## Member Function Documentation

Boolean Mix::Point::operator== | ( | const Point & | pp | ) | const

等価比較

Parameters

  [in] | pp | 比較するポイント

Returns
  値が等しい場合は True を返します

Boolean Mix::Point::operator!= | ( | const Point & | pp | ) | const

等価比較

Parameters

  [in] | pp | 比較するポイント

Returns
  値が等しくない場合は True を返します

Point& Mix::Point::operator= | ( | const Point & | pp | ) |

代入

Parameters

  [in] | pp | 代入する値

Returns
  結果

Point& Mix::Point::operator= | ( | const Vector2 & | pp | ) |

代入

Parameters

  [in] | pp | 代入する値

Returns
  結果

Point& Mix::Point::operator+= | ( | const Point & | pp | ) |

代入加算

Parameters

  [in] | pp | 加算する値

Returns
  結果

Point& Mix::Point::operator-= | ( | const Point & | pp | ) |

代入減算

Parameters

  [in] | pp | 減算する値

Returns
  結果

Point& Mix::Point::operator*= | ( | const Point & | pp | ) |

代入乗算

Parameters

  [in] | pp | 乗算する値

Returns
  結果

Point& Mix::Point::operator/= | ( | const Point & | pp | ) |

代入除算

Parameters

  [in] | pp | 除算する値

Returns
  結果

Point Mix::Point::operator+ | ( | const Point & | pp | ) | const

加算

Parameters

  [in] | pp | 加算する値

Returns
  結果

Point Mix::Point::operator- | ( | const Point & | pp | ) | const

減算

Parameters

  [in] | pp | 減算する値

Returns
  結果

Point Mix::Point::operator* | ( | const Point & | pp | ) | const

乗算

Parameters

  [in] | pp | 乗算する値

Returns
  結果

Point Mix::Point::operator/ | ( | const Point & | pp | ) | const

除算

Parameters

  [in] | pp | 除算する値

Returns
  結果

Point Mix::Point::operator- | ( | void |  | ) | const

符号を反転します

Returns
  結果

Point& Mix::Point::operator*= | ( | Int32 | s | ) |

代入乗算

Parameters

  [in] | s | 乗算する値

Returns
  結果

Point& Mix::Point::operator/= | ( | Int32 | s | ) |

代入除算

Parameters

  [in] | s | 除算する値

Returns
  結果

Point Mix::Point::operator* | ( | Int32 | s | ) | const

乗算

Parameters

  [in] | s | 乗算する値

Returns
  結果

Point Mix::Point::operator/ | ( | Int32 | s | ) | const

除算

Parameters

  [in] | s | 除算する値

Returns
  結果

void Mix::Point::Set | ( | Int32 | px,
|  | Int32 | py
| ) |  |

ポイントを設定します

Parameters

  [in] | px | X座標
  [in] | py | Y座標

static Point Mix::Point::Min | ( | const Point & | p0,
|  | const Point & | p1
| ) |  |

static

二つのポイントの最小値を取得します

Parameters

  [in] | p0 | 比較する値を表す Mix::Point クラス
  [in] | p1 | 比較する値を表す Mix::Point クラス

Returns
  ポイントの最小値を表す Mix::Point クラスを返します

static Point Mix::Point::Max | ( | const Point & | p0,
|  | const Point & | p1
| ) |  |

static

二つのポイントの最大値を取得します

Parameters

  [in] | p0 | 比較する値を表す Mix::Point クラス
  [in] | p1 | 比較する値を表す Mix::Point クラス

Returns
  ポイントの最大値を表す Mix::Point クラスを返します

static const Mix::Point& Mix::Point::Zero | ( | void |  | ) |

inlinestatic

初期値( 0, 0 )を取得します

Returns
  初期値を表す Mix::Point クラスを返します

## Member Data Documentation

Int32 Mix::Point::x

X.

Int32 Mix::Point::y

Y.

Int32 Mix::Point::data[2]

データ

union { ... }

The documentation for this class was generated from the following file:

- Mix/Point.h